> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0.md).

# API for Hair Metrics 2.0

Use the Hair app to analyze hair color, uniformness, curliness, frizziness, hair volume, hair length, and hair condition metrics.

{% hint style="warning" %}
This page will soon be updated.
{% endhint %}

Hair condition is partly determined by genetics, but it is also an important indicator of scalp skin health and is strongly affected by one’s diet. This application allows visual hair features to be assessed, such as:

* [Hair Segmentation](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/hair-segmentation.md)
* [Frizziness](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/frizziness.md)
* [Curliness](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/curliness.md)
* [Density](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/density.md)
* [Color Uniformness](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/color-uniformness.md)
* [Coloring](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/coloring.md)
* [Length](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/length.md)
* [Volume](/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/volume.md)

The app's API returns calculated metrics and corresponding masks. You can use this application to compare subjects, track hair dynamics over time, and get hair metrics reports.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
